eID middleware |

# be::portugal::eid::PTEID_XMLDoc Class Reference

Abstract base class for all the documents. More...

Inheritance diagram for be::portugal::eid::PTEID_XMLDoc:

List of all members.

## Public Member Functions
override void | Dispose ()
virtual bool | isAllowed ()
| The document is allowed.
virtual PTEID_ByteArray | getXML ()
| Return the document in an XML format.
virtual PTEID_ByteArray | getCSV ()
| Return the document in an CSV format.
virtual PTEID_ByteArray | getTLV ()
| Return the document in an TLV format.
virtual bool | writeXmlToFile (string csFilePath)
| Write the xml document into the file csFilePath.
virtual bool | writeCsvToFile (string csFilePath)
| Write the csv document into the file csFilePath.
virtual bool | writeTlvToFile (string csFilePath)
| Write the tlv document into the file csFilePath.

## Detailed Description

Abstract base class for all the documents.

## Member Function Documentation

override void be::portugal::eid::PTEID_XMLDoc::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Object.

Reimplemented in be::portugal::eid::PTEID_Biometric, be::portugal::eid::PTEID_CardVersionInfo, be::portugal::eid::PTEID_Certificate, be::portugal::eid::PTEID_Certificates, be::portugal::eid::PTEID_Crypto, be::portugal::eid::PTEID_EId, be::portugal::eid::PTEID_EIdFullDoc, be::portugal::eid::PTEID_Picture, be::portugal::eid::PTEID_Pin, be::portugal::eid::PTEID_Pins, be::portugal::eid::PTEID_SisFullDoc, and be::portugal::eid::PTEID_SisId.

virtual PTEID_ByteArray be::portugal::eid::PTEID_XMLDoc::getCSV | ( |  | ) | `[inline, virtual]`

Return the document in an CSV format.

virtual PTEID_ByteArray be::portugal::eid::PTEID_XMLDoc::getTLV | ( |  | ) | `[inline, virtual]`

Return the document in an TLV format.

virtual PTEID_ByteArray be::portugal::eid::PTEID_XMLDoc::getXML | ( |  | ) | `[inline, virtual]`

Return the document in an XML format.

virtual bool be::portugal::eid::PTEID_XMLDoc::isAllowed | ( |  | ) | `[inline, virtual]`

The document is allowed.

virtual bool be::portugal::eid::PTEID_XMLDoc::writeCsvToFile | ( | string | csFilePath | ) | `[inline, virtual]`

Write the csv document into the file csFilePath.

Returns:
  true if succeeded

virtual bool be::portugal::eid::PTEID_XMLDoc::writeTlvToFile | ( | string | csFilePath | ) | `[inline, virtual]`

Write the tlv document into the file csFilePath.

Returns:
  true if succeeded

virtual bool be::portugal::eid::PTEID_XMLDoc::writeXmlToFile | ( | string | csFilePath | ) | `[inline, virtual]`

Write the xml document into the file csFilePath.

Returns:
  true if succeede

d